Index: /trunk/SophyaExt/XephemAstroLib/aa_hadec.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/aa_hadec.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/aa_hadec.c	(revision 3654)
@@ -75,3 +75,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: aa_hadec.c,v $ $Date: 2008-03-25 17:45:08 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: aa_hadec.c,v $ $Date: 2009-07-16 10:34:35 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/aberration.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/aberration.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/aberration.c	(revision 3654)
@@ -159,3 +159,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: aberration.c,v $ $Date: 2008-03-25 17:45:08 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: aberration.c,v $ $Date: 2009-07-16 10:34:35 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/actan.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/actan.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/actan.c	(revision 3654)
@@ -1,5 +1,5 @@
 #include <math.h>
 
-/* @(#) $Id: actan.c,v 1.7 2008-03-25 17:45:08 cmv Exp $ */
+/* @(#) $Id: actan.c,v 1.8 2009-07-16 10:34:35 cmv Exp $ */
 
 /* commonly in math.h, but not in strict ANSI C */
@@ -65,3 +65,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: actan.c,v $ $Date: 2008-03-25 17:45:08 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: actan.c,v $ $Date: 2009-07-16 10:34:35 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/airmass.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/airmass.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/airmass.c	(revision 3654)
@@ -24,3 +24,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: airmass.c,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: airmass.c,v $ $Date: 2009-07-16 10:34:35 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/anomaly.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/anomaly.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/anomaly.c	(revision 3654)
@@ -61,3 +61,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: anomaly.c,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: anomaly.c,v $ $Date: 2009-07-16 10:34:35 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/ap_as.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/ap_as.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/ap_as.c	(revision 3654)
@@ -66,3 +66,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: ap_as.c,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: ap_as.c,v $ $Date: 2009-07-16 10:34:35 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/astro.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/astro.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/astro.h	(revision 3654)
@@ -808,4 +808,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: astro.h,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: astro.h,v $ $Date: 2009-07-16 10:34:35 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/atlas.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/atlas.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/atlas.c	(revision 3654)
@@ -194,3 +194,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: atlas.c,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: atlas.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/auxil.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/auxil.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/auxil.c	(revision 3654)
@@ -40,3 +40,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: auxil.c,v $ $Date: 2008-03-25 17:45:10 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: auxil.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/bdl.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/bdl.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/bdl.c	(revision 3654)
@@ -115,8 +115,12 @@
 	char *bp;
 
-	if (buf && width != (int)fread (buf, 1, width, fp)) {
-	    if (ferror(fp)) strcpy (ynot, "IO error");
-	    else if (feof(fp)) strcpy (ynot, "unexpected EOF");
-	    else strcpy (ynot, "short file");
+	if (width > sizeof(buf)-1) {
+	    sprintf (ynot, "BDL Field width %d > %d", width, (int)sizeof(buf));
+	    return (-1);
+	}
+	if (width != (int)fread (buf, 1, width, fp)) {
+	    if (ferror(fp)) strcpy (ynot, "BDL IO error");
+	    else if (feof(fp)) strcpy (ynot, "BDL unexpected EOF");
+	    else strcpy (ynot, "BDL short file");
 	    return (-1);
 	}
@@ -232,3 +236,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: bdl.c,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: bdl.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/bdl.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/bdl.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/bdl.h	(revision 3654)
@@ -3,4 +3,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: bdl.h,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: bdl.h,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/chap95.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/chap95.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/chap95.c	(revision 3654)
@@ -172,3 +172,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: chap95.c,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: chap95.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/chap95.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/chap95.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/chap95.h	(revision 3654)
@@ -65,4 +65,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: chap95.h,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: chap95.h,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/chap95_data.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/chap95_data.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/chap95_data.c	(revision 3654)
@@ -781,3 +781,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: chap95_data.c,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: chap95_data.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/circum.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/circum.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/circum.c	(revision 3654)
@@ -861,3 +861,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: circum.c,v $ $Date: 2008-03-25 17:45:12 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: circum.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.9 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/comet.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/comet.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/comet.c	(revision 3654)
@@ -81,3 +81,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: comet.c,v $ $Date: 2008-03-25 17:45:12 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: comet.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/constel.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/constel.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/constel.c	(revision 3654)
@@ -1801,3 +1801,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: constel.c,v $ $Date: 2008-03-25 17:45:12 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: constel.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/dbfmt.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/dbfmt.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/dbfmt.c	(revision 3654)
@@ -18,4 +18,5 @@
 #define SUBFLD          '|'     /* subfield separator */
 #define MAXFLDS 20              /* must be more than on any expected line */
+#define	MAXESGOOD	100	/* max earth satellite good, days */
 
 static char *enm (char *flds[MAXFLDS]);
@@ -183,4 +184,5 @@
  * we detect nonconformance as efficiently as possible.
  * name ends at first '\0', '\r' or '\n'.
+ * set startok/endok.
  * if ok return 0 else return -1
  */
@@ -244,4 +246,16 @@
 	op->es_M = (float)tle_fld (l2, 44, 51);
 	op->es_orbit = (int)tle_fld (l2, 64, 68);
+
+	/* limit date range to decay period that changes period by 1% but
+	 * never more than MAXESGOOD.
+	 * es_n is rev/day, es_decay is (rev/day)/day
+	 */
+	if (fabs(op->es_decay) > 0) {
+	    double dt = 0.01*op->es_n/fabs(op->es_decay);
+	    if (dt > MAXESGOOD)
+		dt = MAXESGOOD;
+	    op->es_startok = op->es_epoch - dt;
+	    op->es_endok = op->es_epoch + dt;
+	}
 
 	/* yes! */
@@ -576,4 +590,16 @@
 	if (nf == 12)
 	    op->es_drag = (float) atod (flds[11]);
+
+	/* if not already specified, limit date range to decay period that
+	 * changes period by 1% but never longer than MAXESGOOD.
+	 * es_n is rev/day, es_decay is (rev/day)/day
+	 */
+	if (op->es_startok == 0 && op->es_endok == 0 && fabs(op->es_decay) > 0){
+	    double dt = 0.01*op->es_n/fabs(op->es_decay);
+	    if (dt > MAXESGOOD)
+		dt = MAXESGOOD;
+	    op->es_startok = op->es_epoch - dt;
+	    op->es_endok = op->es_epoch + dt;
+	}
 
 	return (0);
@@ -1000,3 +1026,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: dbfmt.c,v $ $Date: 2008-03-25 17:45:12 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: dbfmt.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.9 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/deep.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/deep.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/deep.c	(revision 3654)
@@ -788,3 +788,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: deep.c,v $ $Date: 2008-03-25 17:45:13 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: deep.c,v $ $Date: 2009-07-16 10:34:36 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/deepconst.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/deepconst.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/deepconst.h	(revision 3654)
@@ -2,5 +2,5 @@
 #define _CONST_H
 
-/* $Id: deepconst.h,v 1.7 2008-03-25 17:45:13 cmv Exp $ */
+/* $Id: deepconst.h,v 1.8 2009-07-16 10:34:37 cmv Exp $ */
 
 
@@ -31,4 +31,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: deepconst.h,v $ $Date: 2008-03-25 17:45:13 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: deepconst.h,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/deltat.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/deltat.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/deltat.c	(revision 3654)
@@ -83,6 +83,6 @@
 
 #define TABSTART 1620.0
-#define TABEND 2006.0
-#define TABSIZ 387
+#define TABEND 2017.0
+#define TABSIZ 398
 
 /* Note, Stephenson and Morrison's table starts at the year 1630.
@@ -144,16 +144,19 @@
     /* 1999 USNO data 1998.0 thru 2000.0 (McBurnett) */
      6297, 6347, 6383, 
-    /* 1999 extrapolation (McBurnett), 2001.0 thru 2006.0 */
-     /* 6440, 6510, 6600, 6750, 6900, 7060 */
-     6409, 6430, 6447, 6507, 6578, 6610	/* ECD */
-
-    /* original 1997 USNO extrapolation (stern), 1998.0 thru 2004.0
-     6296, 6420,
-     6510, 6600, 6700, 6800, 6900   */ /* 7000, 7100, 7200, 7300, 7400, */
-
-    /* Extrapolated values (USNO) (original Moshier) [1996.0 thru 2005.0]
-     6183, 6280, 6377, 6475,
-     6572, 6667, 6765, 6861, 6957
-     */
+
+     6409, 6430, 6447, 6507, 6546, 6546, 6546,
+
+    /* 2008+ added 5/19/2009 from http://maia.usno.navy.mil/ser7/deltat.preds */
+
+    6546,
+    6570,
+    6650,
+    6710,
+    6800,
+    6800,
+    6900,
+    6900,
+    7000,
+    7000,
 };
 
@@ -303,3 +306,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: deltat.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: deltat.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/earthsat.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/earthsat.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/earthsat.c	(revision 3654)
@@ -397,6 +397,6 @@
 crazyOp (Now *np, Obj *op)
 {
-	/* figure its daft if long enough to decay 1 rev/day */
-	return (fabs(op->es_epoch - mjd) > 1/fabs(op->es_decay));
+	/* toss if more than a year old */
+	return (fabs(op->es_epoch - mjd) > 365);
 }
 
@@ -784,3 +784,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: earthsat.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: earthsat.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.9 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/eq_ecl.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/eq_ecl.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/eq_ecl.c	(revision 3654)
@@ -70,3 +70,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_ecl.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_ecl.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/eq_gal.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/eq_gal.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/eq_gal.c	(revision 3654)
@@ -97,3 +97,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_gal.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_gal.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/formats.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/formats.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/formats.c	(revision 3654)
@@ -210,3 +210,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: formats.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: formats.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/helio.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/helio.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/helio.c	(revision 3654)
@@ -49,3 +49,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: helio.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: helio.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/jupmoon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/jupmoon.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/jupmoon.c	(revision 3654)
@@ -389,3 +389,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: jupmoon.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: jupmoon.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/libration.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/libration.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/libration.c	(revision 3654)
@@ -2216,3 +2216,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: libration.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: libration.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/magdecl.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/magdecl.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/magdecl.c	(revision 3654)
@@ -379,3 +379,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: magdecl.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: magdecl.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/marsmoon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/marsmoon.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/marsmoon.c	(revision 3654)
@@ -263,3 +263,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: marsmoon.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: marsmoon.c,v $ $Date: 2009-07-16 10:34:37 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/misc.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/misc.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/misc.c	(revision 3654)
@@ -501,3 +501,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: misc.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: misc.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.9 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/mjd.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/mjd.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/mjd.c	(revision 3654)
@@ -254,3 +254,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: mjd.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: mjd.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/moon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/moon.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/moon.c	(revision 3654)
@@ -3465,3 +3465,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: moon.c,v $ $Date: 2008-03-25 17:45:16 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: moon.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.9 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/mooncolong.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/mooncolong.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/mooncolong.c	(revision 3654)
@@ -234,3 +234,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: mooncolong.c,v $ $Date: 2008-03-25 17:45:16 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: mooncolong.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/moonnf.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/moonnf.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/moonnf.c	(revision 3654)
@@ -67,3 +67,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: moonnf.c,v $ $Date: 2008-03-25 17:45:16 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: moonnf.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/nutation.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/nutation.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/nutation.c	(revision 3654)
@@ -439,3 +439,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: nutation.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: nutation.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/obliq.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/obliq.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/obliq.c	(revision 3654)
@@ -25,3 +25,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: obliq.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: obliq.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/parallactic.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/parallactic.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/parallactic.c	(revision 3654)
@@ -52,3 +52,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: parallactic.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: parallactic.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/parallax.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/parallax.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/parallax.c	(revision 3654)
@@ -40,3 +40,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: parallax.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: parallax.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/plans.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/plans.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/plans.c	(revision 3654)
@@ -225,3 +225,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: plans.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: plans.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/plshadow.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/plshadow.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/plshadow.c	(revision 3654)
@@ -48,3 +48,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: plshadow.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: plshadow.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/precess.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/precess.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/precess.c	(revision 3654)
@@ -144,3 +144,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: precess.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: precess.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/preferences.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/preferences.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/preferences.h	(revision 3654)
@@ -29,4 +29,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: preferences.h,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: preferences.h,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/reduce.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/reduce.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/reduce.c	(revision 3654)
@@ -76,3 +76,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: reduce.c,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: reduce.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/refract.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/refract.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/refract.c	(revision 3654)
@@ -89,3 +89,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: refract.c,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: refract.c,v $ $Date: 2009-07-16 10:34:38 $ $Revision: 1.9 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/rings.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/rings.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/rings.c	(revision 3654)
@@ -43,3 +43,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: rings.c,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: rings.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/riset.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/riset.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/riset.c	(revision 3654)
@@ -98,3 +98,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: riset.c,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: riset.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/riset_cir.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/riset_cir.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/riset_cir.c	(revision 3654)
@@ -273,5 +273,5 @@
 #define	MAXPASSES	20		/* max iterations to try */
 #define	FIRSTSTEP	(1.0/60.0/24.0)	/* first time step, days */
-#define	MAXSTEP		(1.0/24.0)/* max time step,days (to detect flat)*/
+#define	MAXSTEP		(12.0/24.0)/* max time step,days (to detect flat)*/
 
 	double a0 = 0;
@@ -383,3 +383,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: riset_cir.c,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: riset_cir.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/satlib.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/satlib.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/satlib.h	(revision 3654)
@@ -2,5 +2,5 @@
 #define __SATLIB_H
 
-/* $Id: satlib.h,v 1.7 2008-03-25 17:45:19 cmv Exp $ */
+/* $Id: satlib.h,v 1.8 2009-07-16 10:34:39 cmv Exp $ */
 
 typedef struct _SatElem {
@@ -203,4 +203,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: satlib.h,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: satlib.h,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/satmoon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/satmoon.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/satmoon.c	(revision 3654)
@@ -508,3 +508,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: satmoon.c,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: satmoon.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/satspec.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/satspec.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/satspec.h	(revision 3654)
@@ -2,5 +2,5 @@
 #define __SATSPEC_H
 
-/* $Id: satspec.h,v 1.7 2008-03-25 17:45:19 cmv Exp $ */
+/* $Id: satspec.h,v 1.8 2009-07-16 10:34:39 cmv Exp $ */
 
 #include "sattypes.h"
@@ -40,4 +40,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: satspec.h,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: satspec.h,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/sattypes.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sattypes.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/sattypes.h	(revision 3654)
@@ -2,5 +2,5 @@
 #define __SATTYPES_H
 
-/* $Id: sattypes.h,v 1.7 2008-03-25 17:45:19 cmv Exp $ */
+/* $Id: sattypes.h,v 1.8 2009-07-16 10:34:39 cmv Exp $ */
 
 typedef struct _Vec3 {
@@ -25,4 +25,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: sattypes.h,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: sattypes.h,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/sdp4.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sdp4.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/sdp4.c	(revision 3654)
@@ -428,3 +428,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sdp4.c,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sdp4.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/sgp4.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sgp4.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/sgp4.c	(revision 3654)
@@ -399,3 +399,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sgp4.c,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sgp4.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/sphcart.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sphcart.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/sphcart.c	(revision 3654)
@@ -41,3 +41,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sphcart.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sphcart.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/sun.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sun.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/sun.c	(revision 3654)
@@ -42,3 +42,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sun.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sun.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/thetag.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/thetag.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/thetag.c	(revision 3654)
@@ -3,5 +3,5 @@
 #include "deepconst.h"
 
-/* @(#) $Id: thetag.c,v 1.7 2008-03-25 17:45:20 cmv Exp $ */
+/* @(#) $Id: thetag.c,v 1.8 2009-07-16 10:34:39 cmv Exp $ */
 
 
@@ -88,3 +88,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: thetag.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: thetag.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/twobody.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/twobody.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/twobody.c	(revision 3654)
@@ -241,3 +241,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: twobody.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: twobody.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/umoon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/umoon.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/umoon.c	(revision 3654)
@@ -268,3 +268,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: umoon.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: umoon.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/utc_gst.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/utc_gst.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/utc_gst.c	(revision 3654)
@@ -93,3 +93,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: utc_gst.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: utc_gst.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/vector.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/vector.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/vector.h	(revision 3654)
@@ -2,5 +2,5 @@
 #define __SATVECTOR_H
 
-/* $Id: vector.h,v 1.7 2008-03-25 17:45:20 cmv Exp $ */
+/* $Id: vector.h,v 1.8 2009-07-16 10:34:39 cmv Exp $ */
 
 #define dotp(A,B) ((A).x*(B).x+(A).y*(B).y+(A).z*(B).z)
@@ -16,4 +16,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: vector.h,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: vector.h,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/vsop87.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/vsop87.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/vsop87.c	(revision 3654)
@@ -207,3 +207,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: vsop87.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: vsop87.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.9 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/vsop87.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/vsop87.h	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/vsop87.h	(revision 3654)
@@ -90,4 +90,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: vsop87.h,v $ $Date: 2008-03-25 17:45:21 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: vsop87.h,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/vsop87_data.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/vsop87_data.c	(revision 3653)
+++ /trunk/SophyaExt/XephemAstroLib/vsop87_data.c	(revision 3654)
@@ -6986,3 +6986,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: vsop87_data.c,v $ $Date: 2008-03-25 17:45:21 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: vsop87_data.c,v $ $Date: 2009-07-16 10:34:39 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
